
Figure - Bug #118850
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110895 (New): AF-V1.0功能测试-桌面

【AF】【EVT】【西瓜视频】在屏幕边缘左划右划无法返回桌面
2023-06-20 11:32 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-20

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0620

Resolution: WONTFIX Degrated: --

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version:

Test Type: ST Root cause:

Description

【测试版本】

0620-db

【测试步骤】

1、打开西瓜视频横屏版

2、在屏幕边缘左划右划

->无法返回桌面

History

#1 - 2023-07-03 10:18 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW王武军

#2 - 2023-07-03 19:30 - CD FW王武军

【】当前状态

1、现象分析

该问题的发生是应用的功能表现。

西瓜视屏应该是在内部设置了：界面全屏显示并且禁止全屏下的返回手势。

2、逻辑分析

从日志可以获取如下信息：

07-01 07:54:28.527  1939  1939 D NoBackGesture: Gesture [1688169268526,alw=FALSE,FALSE,TRUE,FALSE,disp=Point(2560,

1080),wl=45,il=0,wr=45,ir=0,excl=SkRegion((0,36,2560,1080))]

从日志可以看出，手势是被拦截，而拦截的逻辑是：

QuickStepContract.isBackGestureDisabled()

在检测 sysuiStateFlags  值时，它的值为 2，从值解析看来2就是：||||navbar_hidden|||||||||||||||

说明了西瓜视屏主动设置了systemui的flag值。
从这个层面来看：该问题不要进行处理，应用的功能如此。

【】下一步

请测试同事明确，西瓜视屏横版的功能表现就是屏蔽了手势模式的返回手势，不需要从系统层进行特殊处理。

#3 - 2023-07-03 19:31 - CD FW王武军

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW王武军 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to WONTFIX

#4 - 2023-07-04 17:30 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#5 - 2023-07-04 17:31 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-1A2212290000002271 2023-06-20 11-31-45.mp4 7.42 MB 2023-06-20 CD TEST-方永红
